# Retrieve all services for the authenticated client

Retrieve all services for the authenticated client.

Endpoint: GET /user/services
Version: 2.0.0

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer, required)
    Example: 789

  - `data.product` (object)

  - `data.product.id` (integer, required)
    Example: 123

  - `data.product.name` (string,null)
    Example: "Shared web hosting"

  - `data.product.description` (string,null)

  - `data.product.tagline` (string,null)
    Example: "Start with shared web hosting today!"

  - `data.product.allow_multiple_quantities` (object)

  - `data.product.allow_multiple_quantities.is_supported` (boolean)
    Indicates whether the product supports multiple quantities.

  - `data.product.allow_multiple_quantities.type` (object)

  - `data.product.allow_multiple_quantities.type.code` (integer)
    The internal code representing the multiple quantities setting.
    Example: 1

  - `data.product.allow_multiple_quantities.type.display` (string)
    The human-readable display value for the multiple quantities setting.
    Example: "No"

  - `data.product.is_domain_required` (boolean)
    Whether a domain is required to order this product

  - `data.product.stock_control_enabled` (boolean)
    Whether stock control is enabled for this product

  - `data.product.stock_quantity` (integer,null)
    The current stock quantity if stock control is enabled

  - `data.product.type` (object)

  - `data.product.type.name` (string)
    Enum: "hostingaccount", "reselleraccount", "server", "other"

  - `data.product.type.display_name` (string)
    Example: "Hosting Account"

  - `data.product.order` (integer)
    The display order of the product as configured in the application.
    Example: 123

  - `data.product.group` (object)

  - `data.product.group.id` (integer, required)
    Example: 123

  - `data.product.group.name` (string,null)
    Example: "Shared web hosting"

  - `data.product.group.description` (string,null)

  - `data.product.group.icon` (string,null)
    Example: "fa-solid"

  - `data.product.group.headline` (string,null)
    Example: "Headline"

  - `data.product.group.tagline` (string,null)
    Example: "Tagline"

  - `data.product.group.order` (integer)
    The display order of the group as configured in the application.
    Example: 123

  - `data.product.group.features` (array)

  - `data.product.group.features.id` (integer, required)
    Example: 123

  - `data.product.group.features.name` (string,null, required)
    Example: "Shared web hosting"

  - `data.product.group.features.description` (string,null)

  - `data.product.group.features.order` (integer, required)
    Example: 123

  - `data.server` (object,null)

  - `data.server.id` (integer, required)
    Example: 123

  - `data.server.name` (string,null)
    Example: "Shared web hosting"

  - `data.server.description` (string,null)

  - `data.server.groups` (array)

  - `data.server.groups.id` (integer, required)
    Example: 123

  - `data.server.groups.name` (string,null)
    Example: "Shared web hosting"

  - `data.server.groups.description` (string,null)

  - `data.domain` (string,null)
    Example: "example.com"

  - `data.status` (string,null)
    Example: "pending"

  - `data.quantity` (integer, required)
    Example: 1

  - `data.registration_date` (string)
    Example: "2022-03-14"

  - `data.billing` (object,null)

  - `data.billing.promotions` (array, required)

  - `data.billing.promotions.code` (string,null, required)
    Example: "PROMOCODE"

  - `data.billing.promotions.type` (string,null)
    Example: "Fixed Amount"

  - `data.billing.promotions.value` (number,null)
    Monetary amount or discount percentage
    Example: 5

  - `data.billing.promotions.is_recurring` (boolean,null)

  - `data.billing.promotions.number_of_recurring` (integer,null)
    maximum number of times the promotion code will be applied if set
    Example: 5

  - `data.billing.cycle` (string,null)
    Billing cycle's frequency.
    Enum: "free", "onetime", "monthly", "quarterly", "semiannually", "annually", "biennially", "triennially"

  - `data.billing.price` (object,null)

  - `data.billing.price.first_payment` (object)

  - `data.billing.price.first_payment.amount` (object, required)

  - `data.billing.price.first_payment.amount.value` (string, required)
    Example: "19.99"

  - `data.billing.price.first_payment.amount.code` (string, required)
    Example: "USD"

  - `data.billing.price.first_payment.amount.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.billing.price.first_payment.amount.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.billing.price.first_payment.amount.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

  - `data.billing.price.recurring` (object)

  - `data.billing.price.recurring.amount` (object, required)

  - `data.billing.payment_gateway` (object,null)

  - `data.billing.payment_gateway.name` (string, required)
    Name of the payment gateway module.
    Example: "banktransfer"

  - `data.billing.payment_gateway.description` (string)
    The friendly name of the payment gateway module.
    Example: "Bank Transfer"

  - `data.billing.next_due_date` (string,null)
    Example: "2022-05-01"

  - `data.addons` (array)

  - `data.addons.id` (integer, required)
    Example: 456

  - `data.addons.addon` (object)

  - `data.addons.addon.id` (integer, required)
    Example: 123

  - `data.addons.addon.name` (string,null)
    Example: "Shared web hosting"

  - `data.addons.addon.description` (string,null)

  - `data.addons.service` (object)

  - `data.addons.service.id` (integer, required)
    Example: 123

  - `data.addons.quantity` (integer,null)

  - `data.addons.status` (string)
    Example: "Active"

  - `data.addons.registration_date` (string)
    Example: "2022-01-05"

  - `data.addons.billing` (object,null, required)

  - `data.addons.billing.cycle` (string,null)
    Billing cycle's frequency.
    Enum: same as `data.billing.cycle` (8 values)

  - `data.addons.billing.price` (object,null)

  - `data.addons.billing.price.first_payment` (object)

  - `data.addons.billing.price.recurring` (object)

  - `data.addons.billing.payment_gateway` (object,null)

  - `data.addons.billing.payment_gateway.name` (string, required)
    Name of the payment gateway module.
    Example: "banktransfer"

  - `data.addons.billing.payment_gateway.description` (string)
    The friendly name of the payment gateway module.
    Example: "Bank Transfer"

  - `data.addons.billing.next_due_date` (string,null)
    Example: "2022-05-01"

  - `data.addons.renewal` (object)

  - `data.addons.renewal.id` (integer, required)
    Example: 789

  - `data.addons.renewal.type` (string, required)
    Enum: "addon", "service"

  - `data.addons.renewal.is_renewable` (boolean, required)

  - `data.addons.renewal.non_renewable_reason` (string,null)
    Example: "This service addon is not renewable because it has been cancelled."

  - `data.addons.renewal.renewal_period` (object)
    Example: "Active"

  - `data.addons.renewal.renewal_period.start` (string)
    Example: "2023-03-14"

  - `data.addons.renewal.renewal_period.end` (string)
    Example: "2024-04-14"

  - `data.addons.renewal.price` (object,null, required)

  - `data.addons.renewal.price.value` (string, required)
    Example: "19.99"

  - `data.addons.renewal.price.code` (string, required)
    Example: "USD"

  - `data.addons.renewal.price.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.addons.renewal.price.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.addons.renewal.price.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

  - `data.custom_fields` (array)

  - `data.custom_fields.id` (integer, required)
    Example: 456

  - `data.custom_fields.custom_field` (object, required)

  - `data.custom_fields.custom_field.id` (integer, required)
    Example: 123

  - `data.custom_fields.custom_field.name` (string,null)
    Example: "Shared web hosting"

  - `data.custom_fields.custom_field.description` (string,null)

  - `data.custom_fields.custom_field.type` (string, required)
    Field type
    Enum: "text", "link", "password", "dropdown", "checkbox", "textarea"

  - `data.custom_fields.custom_field.options` (array,null)

  - `data.custom_fields.custom_field.validation` (string,null)

  - `data.custom_fields.custom_field.required` (boolean, required)

  - `data.custom_fields.service` (object)

  - `data.custom_fields.service.id` (integer, required)
    Example: 123

  - `data.custom_fields.value` (any)
    Custom Field Value

  - `data.config_options` (array)

  - `data.config_options.id` (integer, required)
    Example: 456

  - `data.config_options.config_option` (object, required)

  - `data.config_options.config_option.id` (integer, required)
    Example: 12

  - `data.config_options.config_option.name` (string, required)
    Example: "Config Option Name"

  - `data.config_options.config_option.type` (string, required)
    Config option type
    Enum: "dropdown", "radio", "yesno", "quantity"

  - `data.config_options.service` (object)

  - `data.config_options.service.id` (integer, required)
    Example: 123

  - `data.config_options.option` (object, required)

  - `data.config_options.option.name` (string)
    Example: "Config Option Name"

  - `data.config_options.option.value` (any,null)
    Configuration Option Value

  - `data.config_options.billing` (object,null)

  - `data.config_options.billing.price` (object,null)

  - `data.config_options.billing.price.first_payment` (object)

  - `data.config_options.billing.price.recurring` (object)

  - `data.renewal` (object)

  - `data.renewal.id` (integer, required)
    Example: 789

  - `data.renewal.type` (string, required)
    Enum: "service", "addon"

  - `data.renewal.is_renewable` (boolean, required)

  - `data.renewal.non_renewable_reason` (string,null)
    Example: "This service is not renewable because it has been cancelled."

  - `data.renewal.renewal_period` (object)
    Example: "Active"

  - `data.renewal.renewal_period.start` (string)
    Example: "2023-03-14"

  - `data.renewal.renewal_period.end` (string)
    Example: "2024-04-14"

  - `data.renewal.price` (object,null, required)

  - `data.renewal.price.value` (string, required)
    Example: "19.99"

  - `data.renewal.price.code` (string, required)
    Example: "USD"

  - `data.renewal.price.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.renewal.price.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.renewal.price.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

## Response 401 fields (application/json):

  - `message` (string)


